Index: /release-kits/lirk2/installer/antinstall-config.xml
===================================================================
--- /release-kits/lirk2/installer/antinstall-config.xml	(revision 17151)
+++ /release-kits/lirk2/installer/antinstall-config.xml	(revision 17152)
@@ -22,5 +22,4 @@
 	<!--  install destination page -->
 	<page type="input" name="destination" displayText="">
-
 		<directory property="installDir"
 			defaultValue="/usr/local/Greenstone-@version@"
@@ -28,15 +27,22 @@
 			create="true"
 			displayText="" />
-
 	</page>
 
 	<page type="input" name="selector" displayText="">
-
 		<comment name="choose-components"/>
-
 		<target target="install-core-components" 	diskRequirement="@component.size.core@" 		displayText="" defaultValue="true" force="true" />
 		<target target="install-java" 				diskRequirement="@component.size.linux-java@" 	displayText="" defaultValue="true" /> <!-- bundled java only -->
 		<target target="install-source-code"		diskRequirement="@component.size.sourcecode@"	defaultValue="false" displayText="" />
+	</page>
 
+	<page type="input" name="language-selector" displayText="">
+		<comment name="choose-language"/>
+		<select property="language" defaultValue="en" displayText="">
+			<option value="en" text="English"/>
+			<option value="fr" text="French"/>
+			<option value="es" text="Spanish"/>
+			<option value="ru" text="Russian"/>
+			<option value="de" text="German"/>
+		</select>
 	</page>
 
Index: /release-kits/lirk2/installer/build.xml
===================================================================
--- /release-kits/lirk2/installer/build.xml	(revision 17151)
+++ /release-kits/lirk2/installer/build.xml	(revision 17152)
@@ -28,13 +28,10 @@
 		<echo>antinstaller.jar: ${antinstaller.jar}</echo>
 
-		<!-- create the installation directory -->
-		<echo message="Creating Installation directory"/>
+		<echo>Creating Installation directory</echo>
 		<mkdir dir="${installDir}"/>
 
-		<!-- install files -->
-		<echo message="Installing Core Files"/>
+		<echo>Installing Core Files</echo>
 		<unzip src="${antinstaller.jar}" dest="${installDir}">
 			<patternset>
-
 				<include name="gli/**/*"/>
 				<include name="bin/**/*"/>
@@ -62,5 +59,5 @@
 		<echo/>
 
-		<echo message="Setting Binaries to Executable"/>
+		<echo>Setting Binaries to Executable</echo>
 		<chmod dir="${installDir}" includes="*.sh,*.bash" perm="775"/>
 		<chmod dir="${installDir}/bin/linux" includes="*" perm="775"/>
@@ -70,5 +67,5 @@
 		<echo/>
 
-		<echo message="Filling in concrete values in config files"/>
+		<echo>Filling in concrete values in config files</echo>
 		<rsr file="${installDir}/cgi-bin/gsdlsite.cfg" pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
 		<rsr file="${installDir}/cgi-bin/gsdlsite.cfg" pattern="^(#?httpprefix).*" replacement="$1 /gsdl"/>
@@ -76,5 +73,5 @@
 		<echo/>
 
-		<echo message="Creating admin and demo users"/>
+		<echo>Creating admin and demo users</echo>
 		<adduser txt2db="${installDir}/bin/linux/txt2db"
 			usersDb="${installDir}/etc/users.db"
@@ -91,6 +88,20 @@
 			comment="Dummy 'demo' user with password 'demo' for authen-e collection"/>
 
-		<!-- delete unneeded files -->
-		<echo message="Deleting some unneeded files"/>
+		<echo>Set the installation locale in config files</echo>
+		<rsr file="${installDir}/setup.bash" pattern="^gsdllang=.*" replacement="gsdllang=${language}"/>
+		<rsr file="${installDir}/gli/gli.sh" pattern="^glilang=.*" replacement="glilang=${language}"/>
+		<rsr file="${installDir}/gli/gems.sh" pattern="^glilang=.*" replacement="glilang=${language}"/>
+
+		<rsr
+			file="${installDir}/gli/classes/xml/config.xml"
+			pattern="(&lt;Argument name=&quot;general.locale&quot;&gt;).*(&lt;/Argument&gt;)"
+			replacement="$1${language}$2"/>
+
+		<echo file="${installDir}/etc/main.cfg" append="true"
+			>cgiarg          shortname=l argdefault=${language}</echo>
+
+		<rsr file="${installDir}/etc/main.cfg" pattern="^status .*" replacement="status enabled"/>
+
+		<echo>Deleting some unneeded files</echo>
 		<delete dir="${installDir}/resources/icons"/>
 		<delete file="${installDir}/resources/*.png"/>
@@ -102,5 +113,5 @@
 	<!-- Source -->
 	<target name="install-source-code" depends="">
-		<echo message="Installing Source Code"/>
+		<echo>Installing Source Code</echo>
 		<unzip src="${antinstaller.jar}" dest="${installDir}">
 			<patternset>
@@ -114,5 +125,5 @@
 
 	<target name="install-java">
-		<echo message="Installing bundled java"/>
+		<echo>Installing bundled java</echo>
 		<copy todir="${installDir}/packages/jre">
 			<fileset dir="../@java.extracted@"/>