Index: her-projects/trunk/greenstone3-extension/mat/Greenstone3Project/hs_err_pid9826.log
===================================================================
--- /other-projects/trunk/greenstone3-extension/mat/Greenstone3Project/hs_err_pid9826.log	(revision 17159)
+++ 	(revision )
@@ -1,342 +1,0 @@
-#
-# An unexpected error has been detected by HotSpot Virtual Machine:
-#
-#  SIGSEGV (0xb) at pc=0x53e58955, pid=9826, tid=3086149312
-#
-# Java VM: Java HotSpot(TM) Client VM (1.5.0_10-b03 mixed mode, sharing)
-# Problematic frame:
-# C  0x53e58955
-#
-
----------------  T H R E A D  ---------------
-
-Current thread (0x0971cbb8):  JavaThread "main" [_thread_in_native, id=9826]
-
-siginfo:si_signo=11, si_errno=0, si_code=1, si_addr=0x53e58955
-
-Registers:
-EAX=0x00db01b0, EBX=0xb163c1d0, ECX=0xb234cfd8, EDX=0x0023d380
-ESP=0xbfa1b21c, EBP=0xbfa1b248, ESI=0x09b540b0, EDI=0x09b540b0
-EIP=0x53e58955, CR2=0x53e58955, EFLAGS=0x00210202
-
-Top of Stack: (sp=0xbfa1b21c)
-0xbfa1b21c:   b1621a92 09b540b0 00000018 b163418f
-0xbfa1b22c:   09b540b0 00000001 09b540cc b162199b
-0xbfa1b23c:   b163c1d0 b163418f b1621540 bfa1b278
-0xbfa1b24c:   b1621bd1 b1634174 b1633bc2 b1621540
-0xbfa1b25c:   0971cc78 bfa1b2a8 b1633bc2 b1621b7b
-0xbfa1b26c:   b163c1d0 09b54090 0971cc78 bfa1b2a8
-0xbfa1b27c:   b161d5cc 0971cc78 bfa1b2e4 00000042
-0xbfa1b28c:   09b54090 bfa1b304 8cccf098 b161d54b 
-
-Instructions: (pc=0x53e58955)
-0x53e58945:   
-[error occurred during error reporting, step 100, id 0xb]
-
-Stack: [0xbf821000,0xbfa21000),  sp=0xbfa1b21c,  free space=2024k
-Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
-C  0x53e58955
-C  [libmgsearchjni.so+0xabd1]  InitEnv+0x61
-C  [libmgsearchjni.so+0x65cc]  Java_org_greenstone_mg_MGSearchWrapper_initCSide+0x8c
-j  org.greenstone.mg.MGSearchWrapper.initCSide()Z+0
-j  org.greenstone.mg.MGSearchWrapper.<init>()V+34
-j  org.greenstone.gsdl3.service.GS2MGSearch.<init>()V+18
-v  ~StubRoutines::call_stub
-V  [libjvm.so+0x17af0c]
-V  [libjvm.so+0x28b9d8]
-V  [libjvm.so+0x17ad3f]
-V  [libjvm.so+0x2b5acc]
-V  [libjvm.so+0x2b8a50]
-V  [libjvm.so+0x1ef248]
-C  [libjava.so+0x137ad]  Java_sun_reflect_NativeConstructorAccessorImpl_newInstance0+0x2d
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance0(Ljava/lang/reflect/Constructor;[Ljava/lang/Object;)Ljava/lang/Object;+0
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+72
-j  sun.reflect.DelegatingConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+5
-j  java.lang.reflect.Constructor.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+92
-j  java.lang.Class.newInstance0()Ljava/lang/Object;+118
-j  java.lang.Class.newInstance()Ljava/lang/Object;+15
-j  org.greenstone.gsdl3.collection.ServiceCluster.configureServiceRack(Lorg/w3c/dom/Element;Lorg/w3c/dom/Element;)Z+179
-j  org.greenstone.gsdl3.collection.Collection.configure()Z+92
-j  org.greenstone.gsdl3.core.MessageRouter.activateCollectionByName(Ljava/lang/String;)Z+210
-j  org.greenstone.gsdl3.core.MessageRouter.configureCollections()Z+108
-j  org.greenstone.gsdl3.core.MessageRouter.configureLocalSite()Z+230
-j  org.greenstone.gsdl3.core.MessageRouter.configure()Z+219
-j  org.greenstone3.ms.DescribeMessager.<init>()V+258
-j  org.greenstone3.ms.collectionChooser.<init>()V+22
-j  org.greenstone3.ms.collectionChooser.main([Ljava/lang/String;)V+4
-v  ~StubRoutines::call_stub
-V  [libjvm.so+0x17af0c]
-V  [libjvm.so+0x28b9d8]
-V  [libjvm.so+0x17ad3f]
-V  [libjvm.so+0x1a55f2]
-V  [libjvm.so+0x196802]
-C  [java+0x1873]
-C  [libc.so.6+0x15dec]  __libc_start_main+0xdc
-
-Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
-j  org.greenstone.mg.MGSearchWrapper.initCSide()Z+0
-j  org.greenstone.mg.MGSearchWrapper.<init>()V+34
-j  org.greenstone.gsdl3.service.GS2MGSearch.<init>()V+18
-v  ~StubRoutines::call_stub
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance0(Ljava/lang/reflect/Constructor;[Ljava/lang/Object;)Ljava/lang/Object;+0
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+72
-j  sun.reflect.DelegatingConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+5
-j  java.lang.reflect.Constructor.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+92
-j  java.lang.Class.newInstance0()Ljava/lang/Object;+118
-j  java.lang.Class.newInstance()Ljava/lang/Object;+15
-j  org.greenstone.gsdl3.collection.ServiceCluster.configureServiceRack(Lorg/w3c/dom/Element;Lorg/w3c/dom/Element;)Z+179
-j  org.greenstone.gsdl3.collection.Collection.configure()Z+92
-j  org.greenstone.gsdl3.core.MessageRouter.activateCollectionByName(Ljava/lang/String;)Z+210
-j  org.greenstone.gsdl3.core.MessageRouter.configureCollections()Z+108
-j  org.greenstone.gsdl3.core.MessageRouter.configureLocalSite()Z+230
-j  org.greenstone.gsdl3.core.MessageRouter.configure()Z+219
-j  org.greenstone3.ms.DescribeMessager.<init>()V+258
-j  org.greenstone3.ms.collectionChooser.<init>()V+22
-j  org.greenstone3.ms.collectionChooser.main([Ljava/lang/String;)V+4
-v  ~StubRoutines::call_stub
-
----------------  P R O C E S S  ---------------
-
-Java Threads: ( => current thread )
-  0x09b01a80 JavaThread "AWT-XAWT" daemon [_thread_in_native, id=9839]
-  0x09af2da8 JavaThread "Java2D Disposer" daemon [_thread_blocked, id=9838]
-  0x09764f38 JavaThread "Low Memory Detector" daemon [_thread_blocked, id=9836]
-  0x09763a28 JavaThread "CompilerThread0" daemon [_thread_blocked, id=9835]
-  0x09762a28 JavaThread "Signal Dispatcher" daemon [_thread_blocked, id=9834]
-  0x0975ce48 JavaThread "Finalizer" daemon [_thread_blocked, id=9833]
-  0x0975afc0 JavaThread "Reference Handler" daemon [_thread_blocked, id=9832]
-=>0x0971cbb8 JavaThread "main" [_thread_in_native, id=9826]
-
-Other Threads:
-  0x09758420 VMThread [id=9831]
-  0x09766500 WatcherThread [id=9837]
-
-VM state:not at safepoint (normal execution)
-
-VM Mutex/Monitor currently owned by a thread: None
-
-Heap
- def new generation   total 576K, used 20K [0x88b40000, 0x88be0000, 0x89020000)
-  eden space 512K,   4% used [0x88b40000, 0x88b45240, 0x88bc0000)
-  from space 64K,   0% used [0x88bc0000, 0x88bc0000, 0x88bd0000)
-  to   space 64K,   0% used [0x88bd0000, 0x88bd0000, 0x88be0000)
- tenured generation   total 2296K, used 1376K [0x89020000, 0x8925e000, 0x8cb40000)
-   the space 2296K,  59% used [0x89020000, 0x89178050, 0x89178200, 0x8925e000)
- compacting perm gen  total 8192K, used 1602K [0x8cb40000, 0x8d340000, 0x90b40000)
-   the space 8192K,  19% used [0x8cb40000, 0x8ccd09d0, 0x8ccd0a00, 0x8d340000)
-    ro space 8192K,  68% used [0x90b40000, 0x910bf220, 0x910bf400, 0x91340000)
-    rw space 12288K,  48% used [0x91340000, 0x9190a968, 0x9190aa00, 0x91f40000)
-
-Dynamic libraries:
-00101000-0023b000 r-xp 00000000 03:03 5133208    /lib/libc-2.5.so
-0023b000-0023d000 r-xp 0013a000 03:03 5133208    /lib/libc-2.5.so
-0023d000-0023e000 rwxp 0013c000 03:03 5133208    /lib/libc-2.5.so
-0023e000-00241000 rwxp 0023e000 00:00 0 
-00243000-00341000 r-xp 00000000 03:03 4796629    /usr/lib/libX11.so.6.2.0
-00341000-00345000 rwxp 000fe000 03:03 4796629    /usr/lib/libX11.so.6.2.0
-00397000-003b0000 r-xp 00000000 03:03 5133207    /lib/ld-2.5.so
-003b0000-003b1000 r-xp 00019000 03:03 5133207    /lib/ld-2.5.so
-003b1000-003b2000 rwxp 0001a000 03:03 5133207    /lib/ld-2.5.so
-003b4000-003bd000 r-xp 00000000 03:03 5133232    /lib/libnss_files-2.5.so
-003bd000-003be000 r-xp 00008000 03:03 5133232    /lib/libnss_files-2.5.so
-003be000-003bf000 rwxp 00009000 03:03 5133232    /lib/libnss_files-2.5.so
-003c1000-003c9000 r-xp 00000000 03:03 5133235    /lib/libnss_nis-2.5.so
-003c9000-003ca000 r-xp 00007000 03:03 5133235    /lib/libnss_nis-2.5.so
-003ca000-003cb000 rwxp 00008000 03:03 5133235    /lib/libnss_nis-2.5.so
-0042e000-00441000 r-xp 00000000 03:03 5133221    /lib/libnsl-2.5.so
-00441000-00442000 r-xp 00012000 03:03 5133221    /lib/libnsl-2.5.so
-00442000-00443000 rwxp 00013000 03:03 5133221    /lib/libnsl-2.5.so
-00443000-00445000 rwxp 00443000 00:00 0 
-00d66000-00d8b000 r-xp 00000000 03:03 5133213    /lib/libm-2.5.so
-00d8b000-00d8c000 r-xp 00024000 03:03 5133213    /lib/libm-2.5.so
-00d8c000-00d8d000 rwxp 00025000 03:03 5133213    /lib/libm-2.5.so
-00d8f000-00d91000 r-xp 00000000 03:03 5133209    /lib/libdl-2.5.so
-00d91000-00d92000 r-xp 00001000 03:03 5133209    /lib/libdl-2.5.so
-00d92000-00d93000 rwxp 00002000 03:03 5133209    /lib/libdl-2.5.so
-00daa000-00dac000 r-xp 00000000 03:03 4796627    /usr/lib/libXau.so.6.0.0
-00dac000-00dad000 rwxp 00001000 03:03 4796627    /usr/lib/libXau.so.6.0.0
-00daf000-00db4000 r-xp 00000000 03:03 4796628    /usr/lib/libXdmcp.so.6.0.0
-00db4000-00db5000 rwxp 00004000 03:03 4796628    /usr/lib/libXdmcp.so.6.0.0
-00db7000-00dca000 r-xp 00000000 03:03 5133215    /lib/libpthread-2.5.so
-00dca000-00dcb000 r-xp 00012000 03:03 5133215    /lib/libpthread-2.5.so
-00dcb000-00dcc000 rwxp 00013000 03:03 5133215    /lib/libpthread-2.5.so
-00dcc000-00dce000 rwxp 00dcc000 00:00 0 
-00dd0000-00ddf000 r-xp 00000000 03:03 4796634    /usr/lib/libXext.so.6.4.0
-00ddf000-00de0000 rwxp 0000e000 03:03 4796634    /usr/lib/libXext.so.6.4.0
-00de2000-00dea000 r-xp 00000000 03:03 4796630    /usr/lib/libXrender.so.1.3.0
-00dea000-00deb000 rwxp 00007000 03:03 4796630    /usr/lib/libXrender.so.1.3.0
-00ded000-00df1000 r-xp 00000000 03:03 4796638    /usr/lib/libXfixes.so.3.1.0
-00df1000-00df2000 rwxp 00003000 03:03 4796638    /usr/lib/libXfixes.so.3.1.0
-06321000-0632a000 r-xp 00000000 03:03 4796639    /usr/lib/libXcursor.so.1.0.2
-0632a000-0632b000 rwxp 00008000 03:03 4796639    /usr/lib/libXcursor.so.1.0.2
-0640e000-06419000 r-xp 00000000 03:03 5133216    /lib/libgcc_s-4.1.2-20070626.so.1
-06419000-0641a000 rwxp 0000a000 03:03 5133216    /lib/libgcc_s-4.1.2-20070626.so.1
-06443000-06523000 r-xp 00000000 03:03 4781508    /usr/lib/libstdc++.so.6.0.8
-06523000-06527000 r-xp 000df000 03:03 4781508    /usr/lib/libstdc++.so.6.0.8
-06527000-06528000 rwxp 000e3000 03:03 4781508    /usr/lib/libstdc++.so.6.0.8
-06528000-0652e000 rwxp 06528000 00:00 0 
-070b3000-070b8000 r-xp 00000000 03:03 5129595    /lib/libcrypt-2.5.so
-070b8000-070b9000 r-xp 00004000 03:03 5129595    /lib/libcrypt-2.5.so
-070b9000-070ba000 rwxp 00005000 03:03 5129595    /lib/libcrypt-2.5.so
-070ba000-070e1000 rwxp 070ba000 00:00 0 
-08048000-08057000 r-xp 00000000 03:03 6669152    /opt/jdk1.5.0_10/bin/java
-08057000-08059000 rwxp 0000e000 03:03 6669152    /opt/jdk1.5.0_10/bin/java
-09717000-09b7e000 rwxp 09717000 00:00 0 
-88b40000-88be0000 rwxp 88b40000 00:00 0 
-88be0000-89020000 rwxp 88be0000 00:00 0 
-89020000-8925e000 rwxp 89020000 00:00 0 
-8925e000-8cb40000 rwxp 8925e000 00:00 0 
-8cb40000-8d340000 rwxp 8cb40000 00:00 0 
-8d340000-90b40000 rwxp 8d340000 00:00 0 
-90b40000-910c0000 r-xs 00001000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-910c0000-91340000 rwxp 910c0000 00:00 0 
-91340000-9190b000 rwxp 00581000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-9190b000-91f40000 rwxp 9190b000 00:00 0 
-91f40000-92010000 rwxp 00b4c000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-92010000-92340000 rwxp 92010000 00:00 0 
-92340000-92344000 r-xs 00c1c000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-92344000-92740000 rwxp 92344000 00:00 0 
-b1617000-b163c000 r-xp 00000000 03:04 11177893   /research/cc108/greenstone3Project/lib/jni/libmgsearchjni.so
-b163c000-b163e000 rwxp 00025000 03:04 11177893   /research/cc108/greenstone3Project/lib/jni/libmgsearchjni.so
-b163e000-b163f000 rwxp b163e000 00:00 0 
-b163f000-b1655000 r-xp 00000000 03:04 11177895   /research/cc108/greenstone3Project/lib/jni/libmgppretrievejni.so
-b1655000-b1656000 rwxp 00016000 03:04 11177895   /research/cc108/greenstone3Project/lib/jni/libmgppretrievejni.so
-b1656000-b168a000 r-xp 00000000 03:04 11177896   /research/cc108/greenstone3Project/lib/jni/libmgppsearchjni.so
-b168a000-b1693000 rwxp 00033000 03:04 11177896   /research/cc108/greenstone3Project/lib/jni/libmgppsearchjni.so
-b1693000-b1699000 r-xp 00000000 03:03 4792544    /usr/lib/libgdbm.so.2.0.0
-b1699000-b169a000 rwxp 00005000 03:03 4792544    /usr/lib/libgdbm.so.2.0.0
-b16ac000-b16ae000 r-xp 00000000 03:04 11177868   /research/cc108/greenstone3Project/lib/jni/libgdbmjava.so
-b16ae000-b16af000 rwxp 00002000 03:04 11177868   /research/cc108/greenstone3Project/lib/jni/libgdbmjava.so
-b16af000-b16b2000 --xp b16af000 00:00 0 
-b16b2000-b1730000 rwxp b16b2000 00:00 0 
-b1730000-b1733000 --xp b1730000 00:00 0 
-b1733000-b17b1000 rwxp b1733000 00:00 0 
-b17b1000-b181b000 r-xp 00000000 03:03 6668924    /opt/jdk1.5.0_10/jre/lib/i386/libfontmanager.so
-b181b000-b1825000 rwxp 00069000 03:03 6668924    /opt/jdk1.5.0_10/jre/lib/i386/libfontmanager.so
-b1825000-b1829000 rwxp b1825000 00:00 0 
-b1829000-b182c000 r-xs 00000000 03:04 11177891   /research/cc108/greenstone3Project/lib/jni/mgpp.jar
-b182c000-b182f000 r-xs 00000000 03:04 11177890   /research/cc108/greenstone3Project/lib/jni/mg.jar
-b182f000-b1835000 r-xs 00000000 03:04 11177881   /research/cc108/greenstone3Project/lib/jni/javagdbm.jar
-b1835000-b195b000 r-xs 00000000 03:04 824762     /research/cc108/greenstone3Project/web/WEB-INF/lib/xercesImpl.jar
-b195b000-b19a0000 r-xs 00000000 03:04 824767     /research/cc108/greenstone3Project/web/WEB-INF/lib/mail.jar
-b19a0000-b19d0000 r-xs 00000000 03:04 922338     /research/cc108/greenstone3Project/web/applet/xml-apis.jar
-b19d0000-b1a7b000 r-xs 00000000 03:04 823556     /research/cc108/greenstone3Project/web/WEB-INF/lib/LuceneWrapper.jar
-b1a7b000-b1aca000 r-xs 00000000 03:04 824760     /research/cc108/greenstone3Project/web/WEB-INF/lib/lucene-1.4.1.jar
-b1aca000-b1b21000 r-xs 00000000 03:04 822971     /research/cc108/greenstone3Project/web/WEB-INF/lib/log4j-1.2.8.jar
-b1b21000-b1c4a000 r-xs 00000000 00:12 10701459   /home/cc108/jFreeChart/lib/jfreechart-1.0.6.jar
-b1c4a000-b1c97000 r-xs 00000000 00:12 10701456   /home/cc108/jFreeChart/lib/jcommon-1.0.10.jar
-b1c97000-b1c9f000 r-xs 00000000 03:04 823023     /research/cc108/greenstone3Project/web/WEB-INF/lib/jaxrpc.jar
-b1c9f000-b1e27000 r-xs 00000000 03:04 823122     /research/cc108/greenstone3Project/web/WEB-INF/lib/axis.jar
-b1e27000-b1e89000 r-xs 00000000 03:04 823577     /research/cc108/greenstone3Project/web/WEB-INF/lib/gsdl3.jar
-b1e89000-b1eb7000 r-xp 00000000 03:03 6668930    /opt/jdk1.5.0_10/jre/lib/i386/xawt/libmawt.so
-b1eb7000-b1eba000 rwxp 0002e000 03:03 6668930    /opt/jdk1.5.0_10/jre/lib/i386/xawt/libmawt.so
-b1eba000-b1ebb000 rwxp b1eba000 00:00 0 
-b1ebb000-b1f81000 r-xp 00000000 03:03 6668941    /opt/jdk1.5.0_10/jre/lib/i386/libmlib_image.so
-b1f81000-b1f82000 rwxp 000c5000 03:03 6668941    /opt/jdk1.5.0_10/jre/lib/i386/libmlib_image.so
-b1f82000-b1fe2000 r-xp 00000000 03:03 6668940    /opt/jdk1.5.0_10/jre/lib/i386/libawt.so
-b1fe2000-b1fe8000 rwxp 0005f000 03:03 6668940    /opt/jdk1.5.0_10/jre/lib/i386/libawt.so
-b1fe8000-b200c000 rwxp b1fe8000 00:00 0 
-b200c000-b20d1000 r-xs 00000000 03:03 6669015    /opt/jdk1.5.0_10/jre/lib/ext/localedata.jar
-b20d1000-b20d3000 r-xs 00000000 03:03 6669016    /opt/jdk1.5.0_10/jre/lib/ext/dnsns.jar
-b20d3000-b20fe000 r-xs 00000000 03:03 6669017    /opt/jdk1.5.0_10/jre/lib/ext/sunpkcs11.jar
-b20fe000-b2125000 r-xs 00000000 03:03 6669014    /opt/jdk1.5.0_10/jre/lib/ext/sunjce_provider.jar
-b2125000-b2126000 --xp b2125000 00:00 0 
-b2126000-b21a6000 rwxp b2126000 00:00 0 
-b21a6000-b21a9000 --xp b21a6000 00:00 0 
-b21a9000-b2227000 rwxp b21a9000 00:00 0 
-b2227000-b222a000 --xp b2227000 00:00 0 
-b222a000-b22a8000 rwxp b222a000 00:00 0 
-b22a8000-b22ab000 --xp b22a8000 00:00 0 
-b22ab000-b2329000 rwxp b22ab000 00:00 0 
-b2329000-b2529000 r-xp 00000000 03:03 4773667    /usr/lib/locale/locale-archive
-b2529000-b252c000 --xp b2529000 00:00 0 
-b252c000-b25aa000 rwxp b252c000 00:00 0 
-b25aa000-b25ad000 --xp b25aa000 00:00 0 
-b25ad000-b262b000 rwxp b25ad000 00:00 0 
-b262b000-b262c000 --xp b262b000 00:00 0 
-b262c000-b26b8000 rwxp b262c000 00:00 0 
-b26b8000-b26d4000 rwxp b26b8000 00:00 0 
-b26d4000-b26d6000 rwxp b26d4000 00:00 0 
-b26d6000-b26f2000 rwxp b26d6000 00:00 0 
-b26f2000-b26f3000 rwxp b26f2000 00:00 0 
-b26f3000-b26f4000 rwxp b26f3000 00:00 0 
-b26f4000-b26f6000 rwxp b26f4000 00:00 0 
-b26f6000-b2712000 rwxp b26f6000 00:00 0 
-b2712000-b2716000 rwxp b2712000 00:00 0 
-b2716000-b2732000 rwxp b2716000 00:00 0 
-b2732000-b2741000 rwxp b2732000 00:00 0 
-b2741000-b27bd000 rwxp b2741000 00:00 0 
-b27bd000-b28a5000 rwxp b27bd000 00:00 0 
-b28a5000-b47bd000 rwxp b28a5000 00:00 0 
-b47bd000-b502c000 r-xs 00000000 03:03 6668968    /opt/jdk1.5.0_10/jre/lib/charsets.jar
-b502c000-b5041000 r-xs 00000000 03:03 6668987    /opt/jdk1.5.0_10/jre/lib/jce.jar
-b5041000-b50c6000 r-xs 00000000 03:03 6668837    /opt/jdk1.5.0_10/jre/lib/jsse.jar
-b50c6000-b512f000 rwxp b50c6000 00:00 0 
-b512f000-b773d000 r-xs 00000000 03:03 6668836    /opt/jdk1.5.0_10/jre/lib/rt.jar
-b773d000-b774c000 r-xp 00000000 03:03 6668961    /opt/jdk1.5.0_10/jre/lib/i386/libzip.so
-b774c000-b774e000 rwxp 0000e000 03:03 6668961    /opt/jdk1.5.0_10/jre/lib/i386/libzip.so
-b774e000-b776f000 r-xp 00000000 03:03 6668950    /opt/jdk1.5.0_10/jre/lib/i386/libjava.so
-b776f000-b7771000 rwxp 00020000 03:03 6668950    /opt/jdk1.5.0_10/jre/lib/i386/libjava.so
-b7771000-b7778000 r-xp 00000000 03:03 5129541    /lib/libnss_compat-2.5.so
-b7778000-b7779000 r-xp 00006000 03:03 5129541    /lib/libnss_compat-2.5.so
-b7779000-b777a000 rwxp 00007000 03:03 5129541    /lib/libnss_compat-2.5.so
-b777a000-b777b000 r-xs 00000000 03:04 11177901   /research/cc108/greenstone3Project/lib/jni/cp.jar
-b777b000-b7780000 rwxp b777b000 00:00 0 
-b7780000-b778b000 r-xp 00000000 03:03 6668939    /opt/jdk1.5.0_10/jre/lib/i386/libverify.so
-b778b000-b778c000 rwxp 0000b000 03:03 6668939    /opt/jdk1.5.0_10/jre/lib/i386/libverify.so
-b778c000-b7af9000 r-xp 00000000 03:03 6668944    /opt/jdk1.5.0_10/jre/lib/i386/client/libjvm.so
-b7af9000-b7b17000 rwxp 0036c000 03:03 6668944    /opt/jdk1.5.0_10/jre/lib/i386/client/libjvm.so
-b7b17000-b7f30000 rwxp b7b17000 00:00 0 
-b7f30000-b7f31000 r-xp 02aea000 03:03 4773667    /usr/lib/locale/locale-archive
-b7f31000-b7f39000 rwxs 00000000 03:03 4151850    /tmp/hsperfdata_cc108/9826
-b7f39000-b7f3f000 r-xp 00000000 03:03 6668952    /opt/jdk1.5.0_10/jre/lib/i386/native_threads/libhpi.so
-b7f3f000-b7f40000 rwxp 00006000 03:03 6668952    /opt/jdk1.5.0_10/jre/lib/i386/native_threads/libhpi.so
-b7f40000-b7f41000 rwxp b7f40000 00:00 0 
-b7f41000-b7f42000 r-xp b7f41000 00:00 0 
-b7f42000-b7f43000 r-xp b7f42000 00:00 0          [vdso]
-bf821000-bf824000 --xp bf821000 00:00 0 
-bf824000-bfa21000 rwxp bf824000 00:00 0          [stack]
-
-VM Arguments:
-jvm_args: -Djava.library.path=/research/cc108/greenstone3Project/lib/jni -Djava.net.preferIPv4Stack=true
-java_command: org.greenstone3.ms.collectionChooser
-Launcher Type: SUN_STANDARD
-
-Environment Variables:
-JAVA_HOME=/opt/jdk1.5.0_10
-JRE_HOME=/opt/jdk1.5.0_10/jre
-PATH=/home/cc108/bin:/opt/jdk1.5.0_10:/usr/lib/qt-3.3/bin:/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin
-USERNAME=cc108
-LD_LIBRARY_PATH=/opt/jdk1.5.0_10/jre/lib/i386/client:/opt/jdk1.5.0_10/jre/lib/i386:/opt/jdk1.5.0_10/jre/../lib/i386:/usr/lib/firefox-1.5.0.12
-SHELL=/bin/bash
-DISPLAY=:0.0
-
-Signal Handlers:
-SIGSEGV: [libjvm.so+0x326820], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGBUS: [libjvm.so+0x326820], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGFPE: [libjvm.so+0x28aa10], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGPIPE: [libjvm.so+0x28aa10], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGILL: [libjvm.so+0x28aa10], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGUSR1: SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000000
-SIGUSR2: [libjvm.so+0x28ce60], sa_mask[0]=0x00000000, sa_flags=0x10000004
-SIGHUP: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGINT: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGQUIT: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGTERM: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-
-
----------------  S Y S T E M  ---------------
-
-OS:Fedora Core release 6 (Zod)
-
-uname:Linux 2.6.22.2-42.fc6 #1 SMP Wed Aug 15 12:34:26 EDT 2007 i686
-libc:glibc 2.5 NPTL 2.5 
-rlimit: STACK 10240k, CORE 0k, NPROC 16383, NOFILE 1024, AS infinity
-load average:0.47 0.30 0.32
-
-CPU:total 1 (cores per cpu 1, threads per core 1) family 6 model 10 stepping 0, cmov, cx8, fxsr, mmx, sse, mmxext, 3dnowext, 3dnow
-
-Memory: 4k page, physical 1034780k(41884k free), swap 2000084k(1998756k free)
-
-vm_info: Java HotSpot(TM) Client VM (1.5.0_10-b03) for linux-x86, built on Nov  9 2006 14:22:56 by java_re with gcc 3.2.1-7a (J2SE release)
-