Index: her-projects/trunk/greenstone3-extension/mat/Greenstone3Project/hs_err_pid9871.log
===================================================================
--- /other-projects/trunk/greenstone3-extension/mat/Greenstone3Project/hs_err_pid9871.log	(revision 17161)
+++ 	(revision )
@@ -1,342 +1,0 @@
-#
-# An unexpected error has been detected by HotSpot Virtual Machine:
-#
-#  SIGSEGV (0xb) at pc=0x53e58955, pid=9871, tid=3086866112
-#
-# Java VM: Java HotSpot(TM) Client VM (1.5.0_10-b03 mixed mode, sharing)
-# Problematic frame:
-# C  0x53e58955
-#
-
----------------  T H R E A D  ---------------
-
-Current thread (0x08c6dbb8):  JavaThread "main" [_thread_in_native, id=9871]
-
-siginfo:si_signo=11, si_errno=0, si_code=1, si_addr=0x53e58955
-
-Registers:
-EAX=0x00db01b0, EBX=0xb16eb1d0, ECX=0xb23fbfd8, EDX=0x0023d380
-ESP=0xbfb6eb6c, EBP=0xbfb6eb98, ESI=0x090a3b80, EDI=0x090a3b80
-EIP=0x53e58955, CR2=0x53e58955, EFLAGS=0x00210202
-
-Top of Stack: (sp=0xbfb6eb6c)
-0xbfb6eb6c:   b16d0a92 090a3b80 00000018 b16e318f
-0xbfb6eb7c:   090a3b80 00000001 090a3b9c b16d099b
-0xbfb6eb8c:   b16eb1d0 b16e318f b16d0540 bfb6ebc8
-0xbfb6eb9c:   b16d0bd1 b16e3174 b16e2bc2 b16d0540
-0xbfb6ebac:   08c6dc78 bfb6ebf8 b16e2bc2 b16d0b7b
-0xbfb6ebbc:   b16eb1d0 0909c110 08c6dc78 bfb6ebf8
-0xbfb6ebcc:   b16cc5cc 08c6dc78 bfb6ec34 00000042
-0xbfb6ebdc:   0909c110 bfb6ec54 8cccf118 b16cc54b 
-
-Instructions: (pc=0x53e58955)
-0x53e58945:   
-[error occurred during error reporting, step 100, id 0xb]
-
-Stack: [0xbf973000,0xbfb73000),  sp=0xbfb6eb6c,  free space=2030k
-Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
-C  0x53e58955
-C  [libmgsearchjni.so+0xabd1]  InitEnv+0x61
-C  [libmgsearchjni.so+0x65cc]  Java_org_greenstone_mg_MGSearchWrapper_initCSide+0x8c
-j  org.greenstone.mg.MGSearchWrapper.initCSide()Z+0
-j  org.greenstone.mg.MGSearchWrapper.<init>()V+34
-j  org.greenstone.gsdl3.service.GS2MGSearch.<init>()V+18
-v  ~StubRoutines::call_stub
-V  [libjvm.so+0x17af0c]
-V  [libjvm.so+0x28b9d8]
-V  [libjvm.so+0x17ad3f]
-V  [libjvm.so+0x2b5acc]
-V  [libjvm.so+0x2b8a50]
-V  [libjvm.so+0x1ef248]
-C  [libjava.so+0x137ad]  Java_sun_reflect_NativeConstructorAccessorImpl_newInstance0+0x2d
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance0(Ljava/lang/reflect/Constructor;[Ljava/lang/Object;)Ljava/lang/Object;+0
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+72
-j  sun.reflect.DelegatingConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+5
-j  java.lang.reflect.Constructor.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+92
-j  java.lang.Class.newInstance0()Ljava/lang/Object;+118
-j  java.lang.Class.newInstance()Ljava/lang/Object;+15
-j  org.greenstone.gsdl3.collection.ServiceCluster.configureServiceRack(Lorg/w3c/dom/Element;Lorg/w3c/dom/Element;)Z+179
-j  org.greenstone.gsdl3.collection.Collection.configure()Z+92
-j  org.greenstone.gsdl3.core.MessageRouter.activateCollectionByName(Ljava/lang/String;)Z+210
-j  org.greenstone.gsdl3.core.MessageRouter.configureCollections()Z+108
-j  org.greenstone.gsdl3.core.MessageRouter.configureLocalSite()Z+230
-j  org.greenstone.gsdl3.core.MessageRouter.configure()Z+219
-j  org.greenstone3.ms.DescribeMessager.<init>()V+274
-j  org.greenstone3.ms.collectionChooser.<init>()V+22
-j  org.greenstone3.ms.collectionChooser.main([Ljava/lang/String;)V+4
-v  ~StubRoutines::call_stub
-V  [libjvm.so+0x17af0c]
-V  [libjvm.so+0x28b9d8]
-V  [libjvm.so+0x17ad3f]
-V  [libjvm.so+0x1a55f2]
-V  [libjvm.so+0x196802]
-C  [java+0x1873]
-C  [libc.so.6+0x15dec]  __libc_start_main+0xdc
-
-Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
-j  org.greenstone.mg.MGSearchWrapper.initCSide()Z+0
-j  org.greenstone.mg.MGSearchWrapper.<init>()V+34
-j  org.greenstone.gsdl3.service.GS2MGSearch.<init>()V+18
-v  ~StubRoutines::call_stub
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance0(Ljava/lang/reflect/Constructor;[Ljava/lang/Object;)Ljava/lang/Object;+0
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+72
-j  sun.reflect.DelegatingConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+5
-j  java.lang.reflect.Constructor.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+92
-j  java.lang.Class.newInstance0()Ljava/lang/Object;+118
-j  java.lang.Class.newInstance()Ljava/lang/Object;+15
-j  org.greenstone.gsdl3.collection.ServiceCluster.configureServiceRack(Lorg/w3c/dom/Element;Lorg/w3c/dom/Element;)Z+179
-j  org.greenstone.gsdl3.collection.Collection.configure()Z+92
-j  org.greenstone.gsdl3.core.MessageRouter.activateCollectionByName(Ljava/lang/String;)Z+210
-j  org.greenstone.gsdl3.core.MessageRouter.configureCollections()Z+108
-j  org.greenstone.gsdl3.core.MessageRouter.configureLocalSite()Z+230
-j  org.greenstone.gsdl3.core.MessageRouter.configure()Z+219
-j  org.greenstone3.ms.DescribeMessager.<init>()V+274
-j  org.greenstone3.ms.collectionChooser.<init>()V+22
-j  org.greenstone3.ms.collectionChooser.main([Ljava/lang/String;)V+4
-v  ~StubRoutines::call_stub
-
----------------  P R O C E S S  ---------------
-
-Java Threads: ( => current thread )
-  0x09052a80 JavaThread "AWT-XAWT" daemon [_thread_in_native, id=9884]
-  0x09043da8 JavaThread "Java2D Disposer" daemon [_thread_blocked, id=9883]
-  0x08cb5f38 JavaThread "Low Memory Detector" daemon [_thread_blocked, id=9881]
-  0x08cb4a28 JavaThread "CompilerThread0" daemon [_thread_blocked, id=9880]
-  0x08cb3a28 JavaThread "Signal Dispatcher" daemon [_thread_blocked, id=9879]
-  0x08cade48 JavaThread "Finalizer" daemon [_thread_blocked, id=9878]
-  0x08cabfc0 JavaThread "Reference Handler" daemon [_thread_blocked, id=9877]
-=>0x08c6dbb8 JavaThread "main" [_thread_in_native, id=9871]
-
-Other Threads:
-  0x08ca9420 VMThread [id=9876]
-  0x08cb7500 WatcherThread [id=9882]
-
-VM state:not at safepoint (normal execution)
-
-VM Mutex/Monitor currently owned by a thread: None
-
-Heap
- def new generation   total 576K, used 24K [0x88b40000, 0x88be0000, 0x89020000)
-  eden space 512K,   4% used [0x88b40000, 0x88b46070, 0x88bc0000)
-  from space 64K,   0% used [0x88bc0000, 0x88bc0000, 0x88bd0000)
-  to   space 64K,   0% used [0x88bd0000, 0x88bd0000, 0x88be0000)
- tenured generation   total 2352K, used 1408K [0x89020000, 0x8926c000, 0x8cb40000)
-   the space 2352K,  59% used [0x89020000, 0x891803e8, 0x89180400, 0x8926c000)
- compacting perm gen  total 8192K, used 1602K [0x8cb40000, 0x8d340000, 0x90b40000)
-   the space 8192K,  19% used [0x8cb40000, 0x8ccd0a50, 0x8ccd0c00, 0x8d340000)
-    ro space 8192K,  68% used [0x90b40000, 0x910bf220, 0x910bf400, 0x91340000)
-    rw space 12288K,  48% used [0x91340000, 0x9190a968, 0x9190aa00, 0x91f40000)
-
-Dynamic libraries:
-00101000-0023b000 r-xp 00000000 03:03 5133208    /lib/libc-2.5.so
-0023b000-0023d000 r-xp 0013a000 03:03 5133208    /lib/libc-2.5.so
-0023d000-0023e000 rwxp 0013c000 03:03 5133208    /lib/libc-2.5.so
-0023e000-00241000 rwxp 0023e000 00:00 0 
-00243000-00341000 r-xp 00000000 03:03 4796629    /usr/lib/libX11.so.6.2.0
-00341000-00345000 rwxp 000fe000 03:03 4796629    /usr/lib/libX11.so.6.2.0
-00397000-003b0000 r-xp 00000000 03:03 5133207    /lib/ld-2.5.so
-003b0000-003b1000 r-xp 00019000 03:03 5133207    /lib/ld-2.5.so
-003b1000-003b2000 rwxp 0001a000 03:03 5133207    /lib/ld-2.5.so
-003b4000-003bd000 r-xp 00000000 03:03 5133232    /lib/libnss_files-2.5.so
-003bd000-003be000 r-xp 00008000 03:03 5133232    /lib/libnss_files-2.5.so
-003be000-003bf000 rwxp 00009000 03:03 5133232    /lib/libnss_files-2.5.so
-003c1000-003c9000 r-xp 00000000 03:03 5133235    /lib/libnss_nis-2.5.so
-003c9000-003ca000 r-xp 00007000 03:03 5133235    /lib/libnss_nis-2.5.so
-003ca000-003cb000 rwxp 00008000 03:03 5133235    /lib/libnss_nis-2.5.so
-0042e000-00441000 r-xp 00000000 03:03 5133221    /lib/libnsl-2.5.so
-00441000-00442000 r-xp 00012000 03:03 5133221    /lib/libnsl-2.5.so
-00442000-00443000 rwxp 00013000 03:03 5133221    /lib/libnsl-2.5.so
-00443000-00445000 rwxp 00443000 00:00 0 
-00d66000-00d8b000 r-xp 00000000 03:03 5133213    /lib/libm-2.5.so
-00d8b000-00d8c000 r-xp 00024000 03:03 5133213    /lib/libm-2.5.so
-00d8c000-00d8d000 rwxp 00025000 03:03 5133213    /lib/libm-2.5.so
-00d8f000-00d91000 r-xp 00000000 03:03 5133209    /lib/libdl-2.5.so
-00d91000-00d92000 r-xp 00001000 03:03 5133209    /lib/libdl-2.5.so
-00d92000-00d93000 rwxp 00002000 03:03 5133209    /lib/libdl-2.5.so
-00daa000-00dac000 r-xp 00000000 03:03 4796627    /usr/lib/libXau.so.6.0.0
-00dac000-00dad000 rwxp 00001000 03:03 4796627    /usr/lib/libXau.so.6.0.0
-00daf000-00db4000 r-xp 00000000 03:03 4796628    /usr/lib/libXdmcp.so.6.0.0
-00db4000-00db5000 rwxp 00004000 03:03 4796628    /usr/lib/libXdmcp.so.6.0.0
-00db7000-00dca000 r-xp 00000000 03:03 5133215    /lib/libpthread-2.5.so
-00dca000-00dcb000 r-xp 00012000 03:03 5133215    /lib/libpthread-2.5.so
-00dcb000-00dcc000 rwxp 00013000 03:03 5133215    /lib/libpthread-2.5.so
-00dcc000-00dce000 rwxp 00dcc000 00:00 0 
-00dd0000-00ddf000 r-xp 00000000 03:03 4796634    /usr/lib/libXext.so.6.4.0
-00ddf000-00de0000 rwxp 0000e000 03:03 4796634    /usr/lib/libXext.so.6.4.0
-00de2000-00dea000 r-xp 00000000 03:03 4796630    /usr/lib/libXrender.so.1.3.0
-00dea000-00deb000 rwxp 00007000 03:03 4796630    /usr/lib/libXrender.so.1.3.0
-00ded000-00df1000 r-xp 00000000 03:03 4796638    /usr/lib/libXfixes.so.3.1.0
-00df1000-00df2000 rwxp 00003000 03:03 4796638    /usr/lib/libXfixes.so.3.1.0
-06321000-0632a000 r-xp 00000000 03:03 4796639    /usr/lib/libXcursor.so.1.0.2
-0632a000-0632b000 rwxp 00008000 03:03 4796639    /usr/lib/libXcursor.so.1.0.2
-0640e000-06419000 r-xp 00000000 03:03 5133216    /lib/libgcc_s-4.1.2-20070626.so.1
-06419000-0641a000 rwxp 0000a000 03:03 5133216    /lib/libgcc_s-4.1.2-20070626.so.1
-06443000-06523000 r-xp 00000000 03:03 4781508    /usr/lib/libstdc++.so.6.0.8
-06523000-06527000 r-xp 000df000 03:03 4781508    /usr/lib/libstdc++.so.6.0.8
-06527000-06528000 rwxp 000e3000 03:03 4781508    /usr/lib/libstdc++.so.6.0.8
-06528000-0652e000 rwxp 06528000 00:00 0 
-070b3000-070b8000 r-xp 00000000 03:03 5129595    /lib/libcrypt-2.5.so
-070b8000-070b9000 r-xp 00004000 03:03 5129595    /lib/libcrypt-2.5.so
-070b9000-070ba000 rwxp 00005000 03:03 5129595    /lib/libcrypt-2.5.so
-070ba000-070e1000 rwxp 070ba000 00:00 0 
-08048000-08057000 r-xp 00000000 03:03 6669152    /opt/jdk1.5.0_10/bin/java
-08057000-08059000 rwxp 0000e000 03:03 6669152    /opt/jdk1.5.0_10/bin/java
-08c68000-090ce000 rwxp 08c68000 00:00 0 
-88b40000-88be0000 rwxp 88b40000 00:00 0 
-88be0000-89020000 rwxp 88be0000 00:00 0 
-89020000-8926c000 rwxp 89020000 00:00 0 
-8926c000-8cb40000 rwxp 8926c000 00:00 0 
-8cb40000-8d340000 rwxp 8cb40000 00:00 0 
-8d340000-90b40000 rwxp 8d340000 00:00 0 
-90b40000-910c0000 r-xs 00001000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-910c0000-91340000 rwxp 910c0000 00:00 0 
-91340000-9190b000 rwxp 00581000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-9190b000-91f40000 rwxp 9190b000 00:00 0 
-91f40000-92010000 rwxp 00b4c000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-92010000-92340000 rwxp 92010000 00:00 0 
-92340000-92344000 r-xs 00c1c000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-92344000-92740000 rwxp 92344000 00:00 0 
-b16c6000-b16eb000 r-xp 00000000 03:04 11177893   /research/cc108/greenstone3Project/lib/jni/libmgsearchjni.so
-b16eb000-b16ed000 rwxp 00025000 03:04 11177893   /research/cc108/greenstone3Project/lib/jni/libmgsearchjni.so
-b16ed000-b16ee000 rwxp b16ed000 00:00 0 
-b16ee000-b1704000 r-xp 00000000 03:04 11177895   /research/cc108/greenstone3Project/lib/jni/libmgppretrievejni.so
-b1704000-b1705000 rwxp 00016000 03:04 11177895   /research/cc108/greenstone3Project/lib/jni/libmgppretrievejni.so
-b1705000-b1739000 r-xp 00000000 03:04 11177896   /research/cc108/greenstone3Project/lib/jni/libmgppsearchjni.so
-b1739000-b1742000 rwxp 00033000 03:04 11177896   /research/cc108/greenstone3Project/lib/jni/libmgppsearchjni.so
-b1742000-b1748000 r-xp 00000000 03:03 4792544    /usr/lib/libgdbm.so.2.0.0
-b1748000-b1749000 rwxp 00005000 03:03 4792544    /usr/lib/libgdbm.so.2.0.0
-b175b000-b175d000 r-xp 00000000 03:04 11177868   /research/cc108/greenstone3Project/lib/jni/libgdbmjava.so
-b175d000-b175e000 rwxp 00002000 03:04 11177868   /research/cc108/greenstone3Project/lib/jni/libgdbmjava.so
-b175e000-b1761000 --xp b175e000 00:00 0 
-b1761000-b17df000 rwxp b1761000 00:00 0 
-b17df000-b17e2000 --xp b17df000 00:00 0 
-b17e2000-b1860000 rwxp b17e2000 00:00 0 
-b1860000-b18ca000 r-xp 00000000 03:03 6668924    /opt/jdk1.5.0_10/jre/lib/i386/libfontmanager.so
-b18ca000-b18d4000 rwxp 00069000 03:03 6668924    /opt/jdk1.5.0_10/jre/lib/i386/libfontmanager.so
-b18d4000-b18d8000 rwxp b18d4000 00:00 0 
-b18d8000-b18db000 r-xs 00000000 03:04 11177891   /research/cc108/greenstone3Project/lib/jni/mgpp.jar
-b18db000-b18de000 r-xs 00000000 03:04 11177890   /research/cc108/greenstone3Project/lib/jni/mg.jar
-b18de000-b18e4000 r-xs 00000000 03:04 11177881   /research/cc108/greenstone3Project/lib/jni/javagdbm.jar
-b18e4000-b1a0a000 r-xs 00000000 03:04 824762     /research/cc108/greenstone3Project/web/WEB-INF/lib/xercesImpl.jar
-b1a0a000-b1a4f000 r-xs 00000000 03:04 824767     /research/cc108/greenstone3Project/web/WEB-INF/lib/mail.jar
-b1a4f000-b1a7f000 r-xs 00000000 03:04 922338     /research/cc108/greenstone3Project/web/applet/xml-apis.jar
-b1a7f000-b1b2a000 r-xs 00000000 03:04 823556     /research/cc108/greenstone3Project/web/WEB-INF/lib/LuceneWrapper.jar
-b1b2a000-b1b79000 r-xs 00000000 03:04 824760     /research/cc108/greenstone3Project/web/WEB-INF/lib/lucene-1.4.1.jar
-b1b79000-b1bd0000 r-xs 00000000 03:04 822971     /research/cc108/greenstone3Project/web/WEB-INF/lib/log4j-1.2.8.jar
-b1bd0000-b1cf9000 r-xs 00000000 00:12 10701459   /home/cc108/jFreeChart/lib/jfreechart-1.0.6.jar
-b1cf9000-b1d46000 r-xs 00000000 00:12 10701456   /home/cc108/jFreeChart/lib/jcommon-1.0.10.jar
-b1d46000-b1d4e000 r-xs 00000000 03:04 823023     /research/cc108/greenstone3Project/web/WEB-INF/lib/jaxrpc.jar
-b1d4e000-b1ed6000 r-xs 00000000 03:04 823122     /research/cc108/greenstone3Project/web/WEB-INF/lib/axis.jar
-b1ed6000-b1f38000 r-xs 00000000 03:04 823577     /research/cc108/greenstone3Project/web/WEB-INF/lib/gsdl3.jar
-b1f38000-b1f66000 r-xp 00000000 03:03 6668930    /opt/jdk1.5.0_10/jre/lib/i386/xawt/libmawt.so
-b1f66000-b1f69000 rwxp 0002e000 03:03 6668930    /opt/jdk1.5.0_10/jre/lib/i386/xawt/libmawt.so
-b1f69000-b1f6a000 rwxp b1f69000 00:00 0 
-b1f6a000-b2030000 r-xp 00000000 03:03 6668941    /opt/jdk1.5.0_10/jre/lib/i386/libmlib_image.so
-b2030000-b2031000 rwxp 000c5000 03:03 6668941    /opt/jdk1.5.0_10/jre/lib/i386/libmlib_image.so
-b2031000-b2091000 r-xp 00000000 03:03 6668940    /opt/jdk1.5.0_10/jre/lib/i386/libawt.so
-b2091000-b2097000 rwxp 0005f000 03:03 6668940    /opt/jdk1.5.0_10/jre/lib/i386/libawt.so
-b2097000-b20bb000 rwxp b2097000 00:00 0 
-b20bb000-b2180000 r-xs 00000000 03:03 6669015    /opt/jdk1.5.0_10/jre/lib/ext/localedata.jar
-b2180000-b2182000 r-xs 00000000 03:03 6669016    /opt/jdk1.5.0_10/jre/lib/ext/dnsns.jar
-b2182000-b21ad000 r-xs 00000000 03:03 6669017    /opt/jdk1.5.0_10/jre/lib/ext/sunpkcs11.jar
-b21ad000-b21d4000 r-xs 00000000 03:03 6669014    /opt/jdk1.5.0_10/jre/lib/ext/sunjce_provider.jar
-b21d4000-b21d5000 --xp b21d4000 00:00 0 
-b21d5000-b2255000 rwxp b21d5000 00:00 0 
-b2255000-b2258000 --xp b2255000 00:00 0 
-b2258000-b22d6000 rwxp b2258000 00:00 0 
-b22d6000-b22d9000 --xp b22d6000 00:00 0 
-b22d9000-b2357000 rwxp b22d9000 00:00 0 
-b2357000-b235a000 --xp b2357000 00:00 0 
-b235a000-b23d8000 rwxp b235a000 00:00 0 
-b23d8000-b25d8000 r-xp 00000000 03:03 4773667    /usr/lib/locale/locale-archive
-b25d8000-b25db000 --xp b25d8000 00:00 0 
-b25db000-b2659000 rwxp b25db000 00:00 0 
-b2659000-b265c000 --xp b2659000 00:00 0 
-b265c000-b26da000 rwxp b265c000 00:00 0 
-b26da000-b26db000 --xp b26da000 00:00 0 
-b26db000-b2767000 rwxp b26db000 00:00 0 
-b2767000-b2783000 rwxp b2767000 00:00 0 
-b2783000-b2785000 rwxp b2783000 00:00 0 
-b2785000-b27a1000 rwxp b2785000 00:00 0 
-b27a1000-b27a2000 rwxp b27a1000 00:00 0 
-b27a2000-b27a3000 rwxp b27a2000 00:00 0 
-b27a3000-b27a5000 rwxp b27a3000 00:00 0 
-b27a5000-b27c1000 rwxp b27a5000 00:00 0 
-b27c1000-b27c5000 rwxp b27c1000 00:00 0 
-b27c5000-b27e1000 rwxp b27c5000 00:00 0 
-b27e1000-b27f0000 rwxp b27e1000 00:00 0 
-b27f0000-b286c000 rwxp b27f0000 00:00 0 
-b286c000-b2954000 rwxp b286c000 00:00 0 
-b2954000-b486c000 rwxp b2954000 00:00 0 
-b486c000-b50db000 r-xs 00000000 03:03 6668968    /opt/jdk1.5.0_10/jre/lib/charsets.jar
-b50db000-b50f0000 r-xs 00000000 03:03 6668987    /opt/jdk1.5.0_10/jre/lib/jce.jar
-b50f0000-b5175000 r-xs 00000000 03:03 6668837    /opt/jdk1.5.0_10/jre/lib/jsse.jar
-b5175000-b51de000 rwxp b5175000 00:00 0 
-b51de000-b77ec000 r-xs 00000000 03:03 6668836    /opt/jdk1.5.0_10/jre/lib/rt.jar
-b77ec000-b77fb000 r-xp 00000000 03:03 6668961    /opt/jdk1.5.0_10/jre/lib/i386/libzip.so
-b77fb000-b77fd000 rwxp 0000e000 03:03 6668961    /opt/jdk1.5.0_10/jre/lib/i386/libzip.so
-b77fd000-b781e000 r-xp 00000000 03:03 6668950    /opt/jdk1.5.0_10/jre/lib/i386/libjava.so
-b781e000-b7820000 rwxp 00020000 03:03 6668950    /opt/jdk1.5.0_10/jre/lib/i386/libjava.so
-b7820000-b7827000 r-xp 00000000 03:03 5129541    /lib/libnss_compat-2.5.so
-b7827000-b7828000 r-xp 00006000 03:03 5129541    /lib/libnss_compat-2.5.so
-b7828000-b7829000 rwxp 00007000 03:03 5129541    /lib/libnss_compat-2.5.so
-b7829000-b782a000 r-xs 00000000 03:04 11177901   /research/cc108/greenstone3Project/lib/jni/cp.jar
-b782a000-b782f000 rwxp b782a000 00:00 0 
-b782f000-b783a000 r-xp 00000000 03:03 6668939    /opt/jdk1.5.0_10/jre/lib/i386/libverify.so
-b783a000-b783b000 rwxp 0000b000 03:03 6668939    /opt/jdk1.5.0_10/jre/lib/i386/libverify.so
-b783b000-b7ba8000 r-xp 00000000 03:03 6668944    /opt/jdk1.5.0_10/jre/lib/i386/client/libjvm.so
-b7ba8000-b7bc6000 rwxp 0036c000 03:03 6668944    /opt/jdk1.5.0_10/jre/lib/i386/client/libjvm.so
-b7bc6000-b7fdf000 rwxp b7bc6000 00:00 0 
-b7fdf000-b7fe0000 r-xp 02aea000 03:03 4773667    /usr/lib/locale/locale-archive
-b7fe0000-b7fe8000 rwxs 00000000 03:03 4151847    /tmp/hsperfdata_cc108/9871
-b7fe8000-b7fee000 r-xp 00000000 03:03 6668952    /opt/jdk1.5.0_10/jre/lib/i386/native_threads/libhpi.so
-b7fee000-b7fef000 rwxp 00006000 03:03 6668952    /opt/jdk1.5.0_10/jre/lib/i386/native_threads/libhpi.so
-b7fef000-b7ff0000 rwxp b7fef000 00:00 0 
-b7ff0000-b7ff1000 r-xp b7ff0000 00:00 0 
-b7ff1000-b7ff2000 r-xp b7ff1000 00:00 0          [vdso]
-bf973000-bf976000 --xp bf973000 00:00 0 
-bf976000-bfb73000 rwxp bf976000 00:00 0          [stack]
-
-VM Arguments:
-jvm_args: -Djava.library.path=/research/cc108/greenstone3Project/lib/jni -Djava.net.preferIPv4Stack=true
-java_command: org.greenstone3.ms.collectionChooser
-Launcher Type: SUN_STANDARD
-
-Environment Variables:
-JAVA_HOME=/opt/jdk1.5.0_10
-JRE_HOME=/opt/jdk1.5.0_10/jre
-PATH=/home/cc108/bin:/opt/jdk1.5.0_10:/usr/lib/qt-3.3/bin:/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin
-USERNAME=cc108
-LD_LIBRARY_PATH=/opt/jdk1.5.0_10/jre/lib/i386/client:/opt/jdk1.5.0_10/jre/lib/i386:/opt/jdk1.5.0_10/jre/../lib/i386:/usr/lib/firefox-1.5.0.12
-SHELL=/bin/bash
-DISPLAY=:0.0
-
-Signal Handlers:
-SIGSEGV: [libjvm.so+0x326820], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGBUS: [libjvm.so+0x326820], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGFPE: [libjvm.so+0x28aa10], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGPIPE: [libjvm.so+0x28aa10], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGILL: [libjvm.so+0x28aa10], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGUSR1: SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000000
-SIGUSR2: [libjvm.so+0x28ce60], sa_mask[0]=0x00000000, sa_flags=0x10000004
-SIGHUP: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGINT: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGQUIT: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGTERM: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-
-
----------------  S Y S T E M  ---------------
-
-OS:Fedora Core release 6 (Zod)
-
-uname:Linux 2.6.22.2-42.fc6 #1 SMP Wed Aug 15 12:34:26 EDT 2007 i686
-libc:glibc 2.5 NPTL 2.5 
-rlimit: STACK 10240k, CORE 0k, NPROC 16383, NOFILE 1024, AS infinity
-load average:0.31 0.27 0.31
-
-CPU:total 1 (cores per cpu 1, threads per core 1) family 6 model 10 stepping 0, cmov, cx8, fxsr, mmx, sse, mmxext, 3dnowext, 3dnow
-
-Memory: 4k page, physical 1034780k(41680k free), swap 2000084k(1998756k free)
-
-vm_info: Java HotSpot(TM) Client VM (1.5.0_10-b03) for linux-x86, built on Nov  9 2006 14:22:56 by java_re with gcc 3.2.1-7a (J2SE release)
-