Index: other-projects/trunk/greenstone3-extension/mat/Greenstone3Project/hs_err_pid9894.log
===================================================================
--- other-projects/trunk/greenstone3-extension/mat/Greenstone3Project/hs_err_pid9894.log	(revision 17162)
+++ 	(revision )
@@ -1,342 +1,0 @@
-#
-# An unexpected error has been detected by HotSpot Virtual Machine:
-#
-#  SIGSEGV (0xb) at pc=0x53e58955, pid=9894, tid=3086542528
-#
-# Java VM: Java HotSpot(TM) Client VM (1.5.0_10-b03 mixed mode, sharing)
-# Problematic frame:
-# C  0x53e58955
-#
-
----------------  T H R E A D  ---------------
-
-Current thread (0x082bcbb8):  JavaThread "main" [_thread_in_native, id=9894]
-
-siginfo:si_signo=11, si_errno=0, si_code=1, si_addr=0x53e58955
-
-Registers:
-EAX=0x00db01b0, EBX=0xb169c1d0, ECX=0xb23acfd8, EDX=0x0023d380
-ESP=0xbfc47c4c, EBP=0xbfc47c78, ESI=0x086f1e10, EDI=0x086f1e10
-EIP=0x53e58955, CR2=0x53e58955, EFLAGS=0x00210202
-
-Top of Stack: (sp=0xbfc47c4c)
-0xbfc47c4c:   b1681a92 086f1e10 00000018 b169418f
-0xbfc47c5c:   086f1e10 00000001 086f1e2c b168199b
-0xbfc47c6c:   b169c1d0 b169418f b1681540 bfc47ca8
-0xbfc47c7c:   b1681bd1 b1694174 b1693bc2 b1681540
-0xbfc47c8c:   082bcc78 bfc47cd8 b1693bc2 b1681b7b
-0xbfc47c9c:   b169c1d0 086f1df0 082bcc78 bfc47cd8
-0xbfc47cac:   b167d5cc 082bcc78 bfc47d14 00000042
-0xbfc47cbc:   086f1df0 bfc47d34 8cccf160 b167d54b 
-
-Instructions: (pc=0x53e58955)
-0x53e58945:   
-[error occurred during error reporting, step 100, id 0xb]
-
-Stack: [0xbfa4e000,0xbfc4e000),  sp=0xbfc47c4c,  free space=2023k
-Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
-C  0x53e58955
-C  [libmgsearchjni.so+0xabd1]  InitEnv+0x61
-C  [libmgsearchjni.so+0x65cc]  Java_org_greenstone_mg_MGSearchWrapper_initCSide+0x8c
-j  org.greenstone.mg.MGSearchWrapper.initCSide()Z+0
-j  org.greenstone.mg.MGSearchWrapper.<init>()V+34
-j  org.greenstone.gsdl3.service.GS2MGSearch.<init>()V+18
-v  ~StubRoutines::call_stub
-V  [libjvm.so+0x17af0c]
-V  [libjvm.so+0x28b9d8]
-V  [libjvm.so+0x17ad3f]
-V  [libjvm.so+0x2b5acc]
-V  [libjvm.so+0x2b8a50]
-V  [libjvm.so+0x1ef248]
-C  [libjava.so+0x137ad]  Java_sun_reflect_NativeConstructorAccessorImpl_newInstance0+0x2d
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance0(Ljava/lang/reflect/Constructor;[Ljava/lang/Object;)Ljava/lang/Object;+0
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+72
-j  sun.reflect.DelegatingConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+5
-j  java.lang.reflect.Constructor.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+92
-j  java.lang.Class.newInstance0()Ljava/lang/Object;+118
-j  java.lang.Class.newInstance()Ljava/lang/Object;+15
-j  org.greenstone.gsdl3.collection.ServiceCluster.configureServiceRack(Lorg/w3c/dom/Element;Lorg/w3c/dom/Element;)Z+179
-j  org.greenstone.gsdl3.collection.Collection.configure()Z+92
-j  org.greenstone.gsdl3.core.MessageRouter.activateCollectionByName(Ljava/lang/String;)Z+210
-j  org.greenstone.gsdl3.core.MessageRouter.configureCollections()Z+108
-j  org.greenstone.gsdl3.core.MessageRouter.configureLocalSite()Z+230
-j  org.greenstone.gsdl3.core.MessageRouter.configure()Z+219
-j  org.greenstone3.ms.DescribeMessager.<init>()V+274
-j  org.greenstone3.ms.collectionChooser.<init>()V+22
-j  org.greenstone3.ms.collectionChooser.main([Ljava/lang/String;)V+4
-v  ~StubRoutines::call_stub
-V  [libjvm.so+0x17af0c]
-V  [libjvm.so+0x28b9d8]
-V  [libjvm.so+0x17ad3f]
-V  [libjvm.so+0x1a55f2]
-V  [libjvm.so+0x196802]
-C  [java+0x1873]
-C  [libc.so.6+0x15dec]  __libc_start_main+0xdc
-
-Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
-j  org.greenstone.mg.MGSearchWrapper.initCSide()Z+0
-j  org.greenstone.mg.MGSearchWrapper.<init>()V+34
-j  org.greenstone.gsdl3.service.GS2MGSearch.<init>()V+18
-v  ~StubRoutines::call_stub
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance0(Ljava/lang/reflect/Constructor;[Ljava/lang/Object;)Ljava/lang/Object;+0
-j  sun.reflect.NativeConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+72
-j  sun.reflect.DelegatingConstructorAccessorImpl.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+5
-j  java.lang.reflect.Constructor.newInstance([Ljava/lang/Object;)Ljava/lang/Object;+92
-j  java.lang.Class.newInstance0()Ljava/lang/Object;+118
-j  java.lang.Class.newInstance()Ljava/lang/Object;+15
-j  org.greenstone.gsdl3.collection.ServiceCluster.configureServiceRack(Lorg/w3c/dom/Element;Lorg/w3c/dom/Element;)Z+179
-j  org.greenstone.gsdl3.collection.Collection.configure()Z+92
-j  org.greenstone.gsdl3.core.MessageRouter.activateCollectionByName(Ljava/lang/String;)Z+210
-j  org.greenstone.gsdl3.core.MessageRouter.configureCollections()Z+108
-j  org.greenstone.gsdl3.core.MessageRouter.configureLocalSite()Z+230
-j  org.greenstone.gsdl3.core.MessageRouter.configure()Z+219
-j  org.greenstone3.ms.DescribeMessager.<init>()V+274
-j  org.greenstone3.ms.collectionChooser.<init>()V+22
-j  org.greenstone3.ms.collectionChooser.main([Ljava/lang/String;)V+4
-v  ~StubRoutines::call_stub
-
----------------  P R O C E S S  ---------------
-
-Java Threads: ( => current thread )
-  0x086a1ac0 JavaThread "AWT-XAWT" daemon [_thread_in_native, id=9907]
-  0x08692de8 JavaThread "Java2D Disposer" daemon [_thread_blocked, id=9906]
-  0x08304f80 JavaThread "Low Memory Detector" daemon [_thread_blocked, id=9904]
-  0x08303a70 JavaThread "CompilerThread0" daemon [_thread_blocked, id=9903]
-  0x08302958 JavaThread "Signal Dispatcher" daemon [_thread_blocked, id=9902]
-  0x082fbd00 JavaThread "Finalizer" daemon [_thread_blocked, id=9901]
-  0x082faff8 JavaThread "Reference Handler" daemon [_thread_blocked, id=9900]
-=>0x082bcbb8 JavaThread "main" [_thread_in_native, id=9894]
-
-Other Threads:
-  0x082f8420 VMThread [id=9899]
-  0x08306548 WatcherThread [id=9905]
-
-VM state:not at safepoint (normal execution)
-
-VM Mutex/Monitor currently owned by a thread: None
-
-Heap
- def new generation   total 576K, used 24K [0x88b40000, 0x88be0000, 0x89020000)
-  eden space 512K,   4% used [0x88b40000, 0x88b46070, 0x88bc0000)
-  from space 64K,   0% used [0x88bc0000, 0x88bc0000, 0x88bd0000)
-  to   space 64K,   0% used [0x88bd0000, 0x88bd0000, 0x88be0000)
- tenured generation   total 2352K, used 1408K [0x89020000, 0x8926c000, 0x8cb40000)
-   the space 2352K,  59% used [0x89020000, 0x891803c0, 0x89180400, 0x8926c000)
- compacting perm gen  total 8192K, used 1602K [0x8cb40000, 0x8d340000, 0x90b40000)
-   the space 8192K,  19% used [0x8cb40000, 0x8ccd0a98, 0x8ccd0c00, 0x8d340000)
-    ro space 8192K,  68% used [0x90b40000, 0x910bf220, 0x910bf400, 0x91340000)
-    rw space 12288K,  48% used [0x91340000, 0x9190a968, 0x9190aa00, 0x91f40000)
-
-Dynamic libraries:
-00101000-0023b000 r-xp 00000000 03:03 5133208    /lib/libc-2.5.so
-0023b000-0023d000 r-xp 0013a000 03:03 5133208    /lib/libc-2.5.so
-0023d000-0023e000 rwxp 0013c000 03:03 5133208    /lib/libc-2.5.so
-0023e000-00241000 rwxp 0023e000 00:00 0 
-00243000-00341000 r-xp 00000000 03:03 4796629    /usr/lib/libX11.so.6.2.0
-00341000-00345000 rwxp 000fe000 03:03 4796629    /usr/lib/libX11.so.6.2.0
-00397000-003b0000 r-xp 00000000 03:03 5133207    /lib/ld-2.5.so
-003b0000-003b1000 r-xp 00019000 03:03 5133207    /lib/ld-2.5.so
-003b1000-003b2000 rwxp 0001a000 03:03 5133207    /lib/ld-2.5.so
-003b4000-003bd000 r-xp 00000000 03:03 5133232    /lib/libnss_files-2.5.so
-003bd000-003be000 r-xp 00008000 03:03 5133232    /lib/libnss_files-2.5.so
-003be000-003bf000 rwxp 00009000 03:03 5133232    /lib/libnss_files-2.5.so
-003c1000-003c9000 r-xp 00000000 03:03 5133235    /lib/libnss_nis-2.5.so
-003c9000-003ca000 r-xp 00007000 03:03 5133235    /lib/libnss_nis-2.5.so
-003ca000-003cb000 rwxp 00008000 03:03 5133235    /lib/libnss_nis-2.5.so
-0042e000-00441000 r-xp 00000000 03:03 5133221    /lib/libnsl-2.5.so
-00441000-00442000 r-xp 00012000 03:03 5133221    /lib/libnsl-2.5.so
-00442000-00443000 rwxp 00013000 03:03 5133221    /lib/libnsl-2.5.so
-00443000-00445000 rwxp 00443000 00:00 0 
-00d66000-00d8b000 r-xp 00000000 03:03 5133213    /lib/libm-2.5.so
-00d8b000-00d8c000 r-xp 00024000 03:03 5133213    /lib/libm-2.5.so
-00d8c000-00d8d000 rwxp 00025000 03:03 5133213    /lib/libm-2.5.so
-00d8f000-00d91000 r-xp 00000000 03:03 5133209    /lib/libdl-2.5.so
-00d91000-00d92000 r-xp 00001000 03:03 5133209    /lib/libdl-2.5.so
-00d92000-00d93000 rwxp 00002000 03:03 5133209    /lib/libdl-2.5.so
-00daa000-00dac000 r-xp 00000000 03:03 4796627    /usr/lib/libXau.so.6.0.0
-00dac000-00dad000 rwxp 00001000 03:03 4796627    /usr/lib/libXau.so.6.0.0
-00daf000-00db4000 r-xp 00000000 03:03 4796628    /usr/lib/libXdmcp.so.6.0.0
-00db4000-00db5000 rwxp 00004000 03:03 4796628    /usr/lib/libXdmcp.so.6.0.0
-00db7000-00dca000 r-xp 00000000 03:03 5133215    /lib/libpthread-2.5.so
-00dca000-00dcb000 r-xp 00012000 03:03 5133215    /lib/libpthread-2.5.so
-00dcb000-00dcc000 rwxp 00013000 03:03 5133215    /lib/libpthread-2.5.so
-00dcc000-00dce000 rwxp 00dcc000 00:00 0 
-00dd0000-00ddf000 r-xp 00000000 03:03 4796634    /usr/lib/libXext.so.6.4.0
-00ddf000-00de0000 rwxp 0000e000 03:03 4796634    /usr/lib/libXext.so.6.4.0
-00de2000-00dea000 r-xp 00000000 03:03 4796630    /usr/lib/libXrender.so.1.3.0
-00dea000-00deb000 rwxp 00007000 03:03 4796630    /usr/lib/libXrender.so.1.3.0
-00ded000-00df1000 r-xp 00000000 03:03 4796638    /usr/lib/libXfixes.so.3.1.0
-00df1000-00df2000 rwxp 00003000 03:03 4796638    /usr/lib/libXfixes.so.3.1.0
-06321000-0632a000 r-xp 00000000 03:03 4796639    /usr/lib/libXcursor.so.1.0.2
-0632a000-0632b000 rwxp 00008000 03:03 4796639    /usr/lib/libXcursor.so.1.0.2
-0640e000-06419000 r-xp 00000000 03:03 5133216    /lib/libgcc_s-4.1.2-20070626.so.1
-06419000-0641a000 rwxp 0000a000 03:03 5133216    /lib/libgcc_s-4.1.2-20070626.so.1
-06443000-06523000 r-xp 00000000 03:03 4781508    /usr/lib/libstdc++.so.6.0.8
-06523000-06527000 r-xp 000df000 03:03 4781508    /usr/lib/libstdc++.so.6.0.8
-06527000-06528000 rwxp 000e3000 03:03 4781508    /usr/lib/libstdc++.so.6.0.8
-06528000-0652e000 rwxp 06528000 00:00 0 
-070b3000-070b8000 r-xp 00000000 03:03 5129595    /lib/libcrypt-2.5.so
-070b8000-070b9000 r-xp 00004000 03:03 5129595    /lib/libcrypt-2.5.so
-070b9000-070ba000 rwxp 00005000 03:03 5129595    /lib/libcrypt-2.5.so
-070ba000-070e1000 rwxp 070ba000 00:00 0 
-08048000-08057000 r-xp 00000000 03:03 6669152    /opt/jdk1.5.0_10/bin/java
-08057000-08059000 rwxp 0000e000 03:03 6669152    /opt/jdk1.5.0_10/bin/java
-082b7000-0871c000 rwxp 082b7000 00:00 0 
-88b40000-88be0000 rwxp 88b40000 00:00 0 
-88be0000-89020000 rwxp 88be0000 00:00 0 
-89020000-8926c000 rwxp 89020000 00:00 0 
-8926c000-8cb40000 rwxp 8926c000 00:00 0 
-8cb40000-8d340000 rwxp 8cb40000 00:00 0 
-8d340000-90b40000 rwxp 8d340000 00:00 0 
-90b40000-910c0000 r-xs 00001000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-910c0000-91340000 rwxp 910c0000 00:00 0 
-91340000-9190b000 rwxp 00581000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-9190b000-91f40000 rwxp 9190b000 00:00 0 
-91f40000-92010000 rwxp 00b4c000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-92010000-92340000 rwxp 92010000 00:00 0 
-92340000-92344000 r-xs 00c1c000 03:03 6668947    /opt/jdk1.5.0_10/jre/lib/i386/client/classes.jsa
-92344000-92740000 rwxp 92344000 00:00 0 
-b1677000-b169c000 r-xp 00000000 03:04 11177893   /research/cc108/greenstone3Project/lib/jni/libmgsearchjni.so
-b169c000-b169e000 rwxp 00025000 03:04 11177893   /research/cc108/greenstone3Project/lib/jni/libmgsearchjni.so
-b169e000-b169f000 rwxp b169e000 00:00 0 
-b169f000-b16b5000 r-xp 00000000 03:04 11177895   /research/cc108/greenstone3Project/lib/jni/libmgppretrievejni.so
-b16b5000-b16b6000 rwxp 00016000 03:04 11177895   /research/cc108/greenstone3Project/lib/jni/libmgppretrievejni.so
-b16b6000-b16ea000 r-xp 00000000 03:04 11177896   /research/cc108/greenstone3Project/lib/jni/libmgppsearchjni.so
-b16ea000-b16f3000 rwxp 00033000 03:04 11177896   /research/cc108/greenstone3Project/lib/jni/libmgppsearchjni.so
-b16f3000-b16f9000 r-xp 00000000 03:03 4792544    /usr/lib/libgdbm.so.2.0.0
-b16f9000-b16fa000 rwxp 00005000 03:03 4792544    /usr/lib/libgdbm.so.2.0.0
-b170c000-b170e000 r-xp 00000000 03:04 11177868   /research/cc108/greenstone3Project/lib/jni/libgdbmjava.so
-b170e000-b170f000 rwxp 00002000 03:04 11177868   /research/cc108/greenstone3Project/lib/jni/libgdbmjava.so
-b170f000-b1712000 --xp b170f000 00:00 0 
-b1712000-b1790000 rwxp b1712000 00:00 0 
-b1790000-b1793000 --xp b1790000 00:00 0 
-b1793000-b1811000 rwxp b1793000 00:00 0 
-b1811000-b187b000 r-xp 00000000 03:03 6668924    /opt/jdk1.5.0_10/jre/lib/i386/libfontmanager.so
-b187b000-b1885000 rwxp 00069000 03:03 6668924    /opt/jdk1.5.0_10/jre/lib/i386/libfontmanager.so
-b1885000-b1889000 rwxp b1885000 00:00 0 
-b1889000-b188c000 r-xs 00000000 03:04 11177891   /research/cc108/greenstone3Project/lib/jni/mgpp.jar
-b188c000-b188f000 r-xs 00000000 03:04 11177890   /research/cc108/greenstone3Project/lib/jni/mg.jar
-b188f000-b1895000 r-xs 00000000 03:04 11177881   /research/cc108/greenstone3Project/lib/jni/javagdbm.jar
-b1895000-b19bb000 r-xs 00000000 03:04 824762     /research/cc108/greenstone3Project/web/WEB-INF/lib/xercesImpl.jar
-b19bb000-b1a00000 r-xs 00000000 03:04 824767     /research/cc108/greenstone3Project/web/WEB-INF/lib/mail.jar
-b1a00000-b1a30000 r-xs 00000000 03:04 922338     /research/cc108/greenstone3Project/web/applet/xml-apis.jar
-b1a30000-b1adb000 r-xs 00000000 03:04 823556     /research/cc108/greenstone3Project/web/WEB-INF/lib/LuceneWrapper.jar
-b1adb000-b1b2a000 r-xs 00000000 03:04 824760     /research/cc108/greenstone3Project/web/WEB-INF/lib/lucene-1.4.1.jar
-b1b2a000-b1b81000 r-xs 00000000 03:04 822971     /research/cc108/greenstone3Project/web/WEB-INF/lib/log4j-1.2.8.jar
-b1b81000-b1caa000 r-xs 00000000 00:12 10701459   /home/cc108/jFreeChart/lib/jfreechart-1.0.6.jar
-b1caa000-b1cf7000 r-xs 00000000 00:12 10701456   /home/cc108/jFreeChart/lib/jcommon-1.0.10.jar
-b1cf7000-b1cff000 r-xs 00000000 03:04 823023     /research/cc108/greenstone3Project/web/WEB-INF/lib/jaxrpc.jar
-b1cff000-b1e87000 r-xs 00000000 03:04 823122     /research/cc108/greenstone3Project/web/WEB-INF/lib/axis.jar
-b1e87000-b1ee9000 r-xs 00000000 03:04 823577     /research/cc108/greenstone3Project/web/WEB-INF/lib/gsdl3.jar
-b1ee9000-b1f17000 r-xp 00000000 03:03 6668930    /opt/jdk1.5.0_10/jre/lib/i386/xawt/libmawt.so
-b1f17000-b1f1a000 rwxp 0002e000 03:03 6668930    /opt/jdk1.5.0_10/jre/lib/i386/xawt/libmawt.so
-b1f1a000-b1f1b000 rwxp b1f1a000 00:00 0 
-b1f1b000-b1fe1000 r-xp 00000000 03:03 6668941    /opt/jdk1.5.0_10/jre/lib/i386/libmlib_image.so
-b1fe1000-b1fe2000 rwxp 000c5000 03:03 6668941    /opt/jdk1.5.0_10/jre/lib/i386/libmlib_image.so
-b1fe2000-b2042000 r-xp 00000000 03:03 6668940    /opt/jdk1.5.0_10/jre/lib/i386/libawt.so
-b2042000-b2048000 rwxp 0005f000 03:03 6668940    /opt/jdk1.5.0_10/jre/lib/i386/libawt.so
-b2048000-b206c000 rwxp b2048000 00:00 0 
-b206c000-b2131000 r-xs 00000000 03:03 6669015    /opt/jdk1.5.0_10/jre/lib/ext/localedata.jar
-b2131000-b2133000 r-xs 00000000 03:03 6669016    /opt/jdk1.5.0_10/jre/lib/ext/dnsns.jar
-b2133000-b215e000 r-xs 00000000 03:03 6669017    /opt/jdk1.5.0_10/jre/lib/ext/sunpkcs11.jar
-b215e000-b2185000 r-xs 00000000 03:03 6669014    /opt/jdk1.5.0_10/jre/lib/ext/sunjce_provider.jar
-b2185000-b2186000 --xp b2185000 00:00 0 
-b2186000-b2206000 rwxp b2186000 00:00 0 
-b2206000-b2209000 --xp b2206000 00:00 0 
-b2209000-b2287000 rwxp b2209000 00:00 0 
-b2287000-b228a000 --xp b2287000 00:00 0 
-b228a000-b2308000 rwxp b228a000 00:00 0 
-b2308000-b230b000 --xp b2308000 00:00 0 
-b230b000-b2389000 rwxp b230b000 00:00 0 
-b2389000-b2589000 r-xp 00000000 03:03 4773667    /usr/lib/locale/locale-archive
-b2589000-b258c000 --xp b2589000 00:00 0 
-b258c000-b260a000 rwxp b258c000 00:00 0 
-b260a000-b260d000 --xp b260a000 00:00 0 
-b260d000-b268b000 rwxp b260d000 00:00 0 
-b268b000-b268c000 --xp b268b000 00:00 0 
-b268c000-b2718000 rwxp b268c000 00:00 0 
-b2718000-b2734000 rwxp b2718000 00:00 0 
-b2734000-b2736000 rwxp b2734000 00:00 0 
-b2736000-b2752000 rwxp b2736000 00:00 0 
-b2752000-b2753000 rwxp b2752000 00:00 0 
-b2753000-b2754000 rwxp b2753000 00:00 0 
-b2754000-b2756000 rwxp b2754000 00:00 0 
-b2756000-b2772000 rwxp b2756000 00:00 0 
-b2772000-b2776000 rwxp b2772000 00:00 0 
-b2776000-b2792000 rwxp b2776000 00:00 0 
-b2792000-b27a1000 rwxp b2792000 00:00 0 
-b27a1000-b281d000 rwxp b27a1000 00:00 0 
-b281d000-b2905000 rwxp b281d000 00:00 0 
-b2905000-b481d000 rwxp b2905000 00:00 0 
-b481d000-b508c000 r-xs 00000000 03:03 6668968    /opt/jdk1.5.0_10/jre/lib/charsets.jar
-b508c000-b50a1000 r-xs 00000000 03:03 6668987    /opt/jdk1.5.0_10/jre/lib/jce.jar
-b50a1000-b5126000 r-xs 00000000 03:03 6668837    /opt/jdk1.5.0_10/jre/lib/jsse.jar
-b5126000-b518f000 rwxp b5126000 00:00 0 
-b518f000-b779d000 r-xs 00000000 03:03 6668836    /opt/jdk1.5.0_10/jre/lib/rt.jar
-b779d000-b77ac000 r-xp 00000000 03:03 6668961    /opt/jdk1.5.0_10/jre/lib/i386/libzip.so
-b77ac000-b77ae000 rwxp 0000e000 03:03 6668961    /opt/jdk1.5.0_10/jre/lib/i386/libzip.so
-b77ae000-b77cf000 r-xp 00000000 03:03 6668950    /opt/jdk1.5.0_10/jre/lib/i386/libjava.so
-b77cf000-b77d1000 rwxp 00020000 03:03 6668950    /opt/jdk1.5.0_10/jre/lib/i386/libjava.so
-b77d1000-b77d8000 r-xp 00000000 03:03 5129541    /lib/libnss_compat-2.5.so
-b77d8000-b77d9000 r-xp 00006000 03:03 5129541    /lib/libnss_compat-2.5.so
-b77d9000-b77da000 rwxp 00007000 03:03 5129541    /lib/libnss_compat-2.5.so
-b77da000-b77db000 r-xs 00000000 03:04 11177901   /research/cc108/greenstone3Project/lib/jni/cp.jar
-b77db000-b77e0000 rwxp b77db000 00:00 0 
-b77e0000-b77eb000 r-xp 00000000 03:03 6668939    /opt/jdk1.5.0_10/jre/lib/i386/libverify.so
-b77eb000-b77ec000 rwxp 0000b000 03:03 6668939    /opt/jdk1.5.0_10/jre/lib/i386/libverify.so
-b77ec000-b7b59000 r-xp 00000000 03:03 6668944    /opt/jdk1.5.0_10/jre/lib/i386/client/libjvm.so
-b7b59000-b7b77000 rwxp 0036c000 03:03 6668944    /opt/jdk1.5.0_10/jre/lib/i386/client/libjvm.so
-b7b77000-b7f90000 rwxp b7b77000 00:00 0 
-b7f90000-b7f91000 r-xp 02aea000 03:03 4773667    /usr/lib/locale/locale-archive
-b7f91000-b7f99000 rwxs 00000000 03:03 4151847    /tmp/hsperfdata_cc108/9894
-b7f99000-b7f9f000 r-xp 00000000 03:03 6668952    /opt/jdk1.5.0_10/jre/lib/i386/native_threads/libhpi.so
-b7f9f000-b7fa0000 rwxp 00006000 03:03 6668952    /opt/jdk1.5.0_10/jre/lib/i386/native_threads/libhpi.so
-b7fa0000-b7fa1000 rwxp b7fa0000 00:00 0 
-b7fa1000-b7fa2000 r-xp b7fa1000 00:00 0 
-b7fa2000-b7fa3000 r-xp b7fa2000 00:00 0          [vdso]
-bfa4e000-bfa51000 --xp bfa4e000 00:00 0 
-bfa51000-bfc4e000 rwxp bfa51000 00:00 0          [stack]
-
-VM Arguments:
-jvm_args: -Djava.library.path=/research/cc108/greenstone3Project/lib/jni -Djava.net.preferIPv4Stack=true
-java_command: org.greenstone3.ms.collectionChooser
-Launcher Type: SUN_STANDARD
-
-Environment Variables:
-JAVA_HOME=/opt/jdk1.5.0_10
-JRE_HOME=/opt/jdk1.5.0_10/jre
-PATH=/home/cc108/bin:/opt/jdk1.5.0_10:/usr/lib/qt-3.3/bin:/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin
-USERNAME=cc108
-LD_LIBRARY_PATH=/opt/jdk1.5.0_10/jre/lib/i386/client:/opt/jdk1.5.0_10/jre/lib/i386:/opt/jdk1.5.0_10/jre/../lib/i386:/usr/lib/firefox-1.5.0.12
-SHELL=/bin/bash
-DISPLAY=:0.0
-
-Signal Handlers:
-SIGSEGV: [libjvm.so+0x326820], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGBUS: [libjvm.so+0x326820], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGFPE: [libjvm.so+0x28aa10], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGPIPE: [libjvm.so+0x28aa10], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGILL: [libjvm.so+0x28aa10], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGUSR1: SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000000
-SIGUSR2: [libjvm.so+0x28ce60], sa_mask[0]=0x00000000, sa_flags=0x10000004
-SIGHUP: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGINT: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGQUIT: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-SIGTERM: [libjvm.so+0x28c890], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
-
-
----------------  S Y S T E M  ---------------
-
-OS:Fedora Core release 6 (Zod)
-
-uname:Linux 2.6.22.2-42.fc6 #1 SMP Wed Aug 15 12:34:26 EDT 2007 i686
-libc:glibc 2.5 NPTL 2.5 
-rlimit: STACK 10240k, CORE 0k, NPROC 16383, NOFILE 1024, AS infinity
-load average:0.47 0.31 0.32
-
-CPU:total 1 (cores per cpu 1, threads per core 1) family 6 model 10 stepping 0, cmov, cx8, fxsr, mmx, sse, mmxext, 3dnowext, 3dnow
-
-Memory: 4k page, physical 1034780k(41584k free), swap 2000084k(1998756k free)
-
-vm_info: Java HotSpot(TM) Client VM (1.5.0_10-b03) for linux-x86, built on Nov  9 2006 14:22:56 by java_re with gcc 3.2.1-7a (J2SE release)
-